=== debian/changelog ===
espresso (4.3.2-1) unstable; urgency=low

  * Initial upload (Closes: #589942).

 -- Michael Banck <mbanck@debian.org>  Sun, 11 Sep 2011 18:06:35 +0200
